db-derby-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From fuzzylo...@apache.org
Subject svn commit: r240341 [2/2] - in /db/derby/site/trunk: build/site/ build/site/binaries/ build/site/integrate/ build/site/integrate/plugin_help/ build/site/papers/ build/site/releases/ build/site/skin/ build/site/skin/images/ build/tmp/ build/tmp/cocoon-w...
Date Fri, 26 Aug 2005 20:51:40 GMT
Modified: db/derby/site/trunk/build/site/skin/CommonMessages_fr.xml
URL: http://svn.apache.org/viewcvs/db/derby/site/trunk/build/site/skin/CommonMessages_fr.xml?rev=240341&r1=240340&r2=240341&view=diff
==============================================================================
--- db/derby/site/trunk/build/site/skin/CommonMessages_fr.xml (original)
+++ db/derby/site/trunk/build/site/skin/CommonMessages_fr.xml Fri Aug 26 13:50:04 2005
@@ -1,23 +1,23 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!--
-  Copyright 1999-2004 The Apache Software Foundation or its licensors,
-  as applicable.
-
-  Licensed under the Apache License, Version 2.0 (the "License");
-  you may not use this file except in compliance with the License.
-  You may obtain a copy of the License at
-
-      http://www.apache.org/licenses/LICENSE-2.0
-
-  Unless required by applicable law or agreed to in writing, software
-  distributed under the License is distributed on an "AS IS" BASIS,
-  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-  See the License for the specific language governing permissions and
-  limitations under the License.
--->
-<catalogue>
-  <message key="Font size:">Taille :</message>
-  <message key="Last Published:">Dernière publication :</message>
-  <message key="Search">Rechercher</message>
-  <message key="Search the site with">Rechercher sur le site avec</message>
-</catalogue>
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!--
+  Copyright 1999-2004 The Apache Software Foundation or its licensors,
+  as applicable.
+
+  Licensed under the Apache License, Version 2.0 (the "License");
+  you may not use this file except in compliance with the License.
+  You may obtain a copy of the License at
+
+      http://www.apache.org/licenses/LICENSE-2.0
+
+  Unless required by applicable law or agreed to in writing, software
+  distributed under the License is distributed on an "AS IS" BASIS,
+  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+  See the License for the specific language governing permissions and
+  limitations under the License.
+-->
+<catalogue>
+  <message key="Font size:">Taille :</message>
+  <message key="Last Published:">Dernière publication :</message>
+  <message key="Search">Rechercher</message>
+  <message key="Search the site with">Rechercher sur le site avec</message>
+</catalogue>

Modified: db/derby/site/trunk/build/site/skin/images/txtdoc.svg.xslt
URL: http://svn.apache.org/viewcvs/db/derby/site/trunk/build/site/skin/images/txtdoc.svg.xslt?rev=240341&r1=240340&r2=240341&view=diff
==============================================================================
--- db/derby/site/trunk/build/site/skin/images/txtdoc.svg.xslt (original)
+++ db/derby/site/trunk/build/site/skin/images/txtdoc.svg.xslt Fri Aug 26 13:50:04 2005
@@ -1,58 +1,58 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!--
-  Copyright 2002-2004 The Apache Software Foundation or its licensors,
-  as applicable.
-
-  Licensed under the Apache License, Version 2.0 (the "License");
-  you may not use this file except in compliance with the License.
-  You may obtain a copy of the License at
-
-      http://www.apache.org/licenses/LICENSE-2.0
-
-  Unless required by applicable law or agreed to in writing, software
-  distributed under the License is distributed on an "AS IS" BASIS,
-  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-  See the License for the specific language governing permissions and
-  limitations under the License.
--->
-<svg width="20pt" height="20pt"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:xlink="http://www.w3.org/1999/xlink">
-  <defs
-     id="defs550">
-    <linearGradient id="gray2white">
-      <stop style="stop-color:#7f7f7f;stop-opacity:1;" offset="0.000000"/>
-      <stop style="stop-color:#ffffff;stop-opacity:1;" offset="1.000000"/>
-    </linearGradient>
-    <linearGradient id="pageshade" xlink:href="#gray2white"
-       x1="0.95" y1="0.95"
-       x2="0.40" y2="0.20"
-       gradientUnits="objectBoundingBox" spreadMethod="pad" />
-    <path d="M 0 0 L 200 0" style="stroke:#000000;stroke-width:1pt;" id="hr"/>
-  </defs>
-
-  <g transform="scale(0.08)">
-    <g transform="translate(40, 0)">
-      <rect width="230" height="300" x="0" y="0"
-            style="fill:url(#pageshade);fill-rule:evenodd;
-            stroke:#000000;stroke-width:1.25;"/>
-
-      <g transform="translate(15, 60)">
-        <use xlink:href="#hr" x="0" y="0"/>
-        <use xlink:href="#hr" x="0" y="60"/>
-        <use xlink:href="#hr" x="0" y="120"/>
-        <use xlink:href="#hr" x="0" y="180"/>
-      </g>
-    </g>
-
-    <g transform="translate(0,70),scale(1.1,1.6)">
-      <rect width="200" height="100" x="0" y="0"
-         style="fill:#ff0000;fill-rule:evenodd;
-                stroke:#000000;stroke-width:2.33903;"/>
-      <text x="20" y="75"
-            style="stroke:#ffffff;stroke-width:1.0;
-                   font-size:72;font-weight:normal;fill:#ffffff;
-                   font-family:Arial;text-anchor:start;">TXT</text>
-    </g>
-  </g>
-</svg>
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!--
+  Copyright 2002-2004 The Apache Software Foundation or its licensors,
+  as applicable.
+
+  Licensed under the Apache License, Version 2.0 (the "License");
+  you may not use this file except in compliance with the License.
+  You may obtain a copy of the License at
+
+      http://www.apache.org/licenses/LICENSE-2.0
+
+  Unless required by applicable law or agreed to in writing, software
+  distributed under the License is distributed on an "AS IS" BASIS,
+  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+  See the License for the specific language governing permissions and
+  limitations under the License.
+-->
+<svg width="20pt" height="20pt"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:xlink="http://www.w3.org/1999/xlink">
+  <defs
+     id="defs550">
+    <linearGradient id="gray2white">
+      <stop style="stop-color:#7f7f7f;stop-opacity:1;" offset="0.000000"/>
+      <stop style="stop-color:#ffffff;stop-opacity:1;" offset="1.000000"/>
+    </linearGradient>
+    <linearGradient id="pageshade" xlink:href="#gray2white"
+       x1="0.95" y1="0.95"
+       x2="0.40" y2="0.20"
+       gradientUnits="objectBoundingBox" spreadMethod="pad" />
+    <path d="M 0 0 L 200 0" style="stroke:#000000;stroke-width:1pt;" id="hr"/>
+  </defs>
+
+  <g transform="scale(0.08)">
+    <g transform="translate(40, 0)">
+      <rect width="230" height="300" x="0" y="0"
+            style="fill:url(#pageshade);fill-rule:evenodd;
+            stroke:#000000;stroke-width:1.25;"/>
+
+      <g transform="translate(15, 60)">
+        <use xlink:href="#hr" x="0" y="0"/>
+        <use xlink:href="#hr" x="0" y="60"/>
+        <use xlink:href="#hr" x="0" y="120"/>
+        <use xlink:href="#hr" x="0" y="180"/>
+      </g>
+    </g>
+
+    <g transform="translate(0,70),scale(1.1,1.6)">
+      <rect width="200" height="100" x="0" y="0"
+         style="fill:#ff0000;fill-rule:evenodd;
+                stroke:#000000;stroke-width:2.33903;"/>
+      <text x="20" y="75"
+            style="stroke:#ffffff;stroke-width:1.0;
+                   font-size:72;font-weight:normal;fill:#ffffff;
+                   font-family:Arial;text-anchor:start;">TXT</text>
+    </g>
+  </g>
+</svg>

Modified: db/derby/site/trunk/build/tmp/cocoon-work/cache-dir/cocoon-ehcache-1.data
URL: http://svn.apache.org/viewcvs/db/derby/site/trunk/build/tmp/cocoon-work/cache-dir/cocoon-ehcache-1.data?rev=240341&r1=240340&r2=240341&view=diff
==============================================================================
Binary files - no diff available.

Modified: db/derby/site/trunk/build/tmp/cocoon-work/cache-dir/cocoon-ehcache-1.index
URL: http://svn.apache.org/viewcvs/db/derby/site/trunk/build/tmp/cocoon-work/cache-dir/cocoon-ehcache-1.index?rev=240341&r1=240340&r2=240341&view=diff
==============================================================================
Binary files - no diff available.

Modified: db/derby/site/trunk/build/tmp/projfilters.properties
URL: http://svn.apache.org/viewcvs/db/derby/site/trunk/build/tmp/projfilters.properties?rev=240341&r1=240340&r2=240341&view=diff
==============================================================================
--- db/derby/site/trunk/build/tmp/projfilters.properties (original)
+++ db/derby/site/trunk/build/tmp/projfilters.properties Fri Aug 26 13:50:04 2005
@@ -1,5 +1,5 @@
 #Ant properties
-#Tue Aug 23 11:09:57 PDT 2005
+#Fri Aug 26 13:46:16 PDT 2005
 project.sitemap=src/documentation/sitemap.xmap
 project.war=C\:\\derby-site\\build\\my-project.war
 project.name=my-project

Modified: db/derby/site/trunk/src/documentation/content/xdocs/binaries/derby_plugins_lab.pdf
URL: http://svn.apache.org/viewcvs/db/derby/site/trunk/src/documentation/content/xdocs/binaries/derby_plugins_lab.pdf?rev=240341&r1=240340&r2=240341&view=diff
==============================================================================
Binary files - no diff available.

Modified: db/derby/site/trunk/src/documentation/content/xdocs/binaries/derby_plugins_lab.zip
URL: http://svn.apache.org/viewcvs/db/derby/site/trunk/src/documentation/content/xdocs/binaries/derby_plugins_lab.zip?rev=240341&r1=240340&r2=240341&view=diff
==============================================================================
Binary files - no diff available.

Modified: db/derby/site/trunk/src/documentation/content/xdocs/binaries/derby_plugins_slides.pdf
URL: http://svn.apache.org/viewcvs/db/derby/site/trunk/src/documentation/content/xdocs/binaries/derby_plugins_slides.pdf?rev=240341&r1=240340&r2=240341&view=diff
==============================================================================
Binary files - no diff available.

Modified: db/derby/site/trunk/src/documentation/content/xdocs/integrate/Readme.xml
URL: http://svn.apache.org/viewcvs/db/derby/site/trunk/src/documentation/content/xdocs/integrate/Readme.xml?rev=240341&r1=240340&r2=240341&view=diff
==============================================================================
--- db/derby/site/trunk/src/documentation/content/xdocs/integrate/Readme.xml (original)
+++ db/derby/site/trunk/src/documentation/content/xdocs/integrate/Readme.xml Fri Aug 26 13:50:04
2005
@@ -3,7 +3,7 @@
    "http://forrest.apache.org/dtd/document-v20.dtd">
 <document>
  <header>
-   <title>Obtaining the Source and Building the Derby 1.0 UI and Help Plug-ins</title>
+   <title>Obtaining the Source and Building the Derby 1.1 UI and Help Plug-ins</title>
  </header>
 
  <body>
@@ -41,14 +41,14 @@
    svn checkout https://svn.apache.org/repos/asf/db/derby/code/trunk/plugins
 
   
-2) Install Eclipse 3.x and the JDK needed
+2) Install Eclipse 3.1 M6 or higher and the JDK needed
 
-3) Install the Apache Derby 10.1.0 Eclipse Core plug-in from:
+3) Install the Apache Derby 10.1.1 Eclipse Core plug-in from:
    http://db.apache.org/derby/derby_downloads.html
 
    It is available as a zip file:
 
-   for example; derby_core_plugin_10.1.0.178324.zip
+   for example; derby_core_plugin_10.1.1.zip 
 
    Unzip this file into the directory where the eclipse executable is located.
    For instance, if Eclipse is installed in C:\eclipse, unzip the Derby
@@ -59,7 +59,7 @@
    for example: c:\derby\plugin
 
 5) Import the Apache Derby UI project:
-   File -> Import -> Existing Project into Workspace
+   File -> Import -> Existing Projects into Workspace
    - Click Next
    - Click Browse and point to the "org.apache.derby.ui" directory (created in 
      Step 1, which is under the plugins/eclipse directory where you checked 
@@ -71,9 +71,7 @@
 
 7) To invoke and test the Apache Derby UI Plug-in in this development environment
    
-   Run ->Run As -> Eclipse Application (Eclipse 3.1)
-   OR
-   Run --> Run As --> Run-time Workbench (Eclipse 3.0)
+   Run ->Run As -> Eclipse Application
    
    An alternate way would be to open the plugin.xml and select the 
    'Launch a runtime workbench' link.
@@ -90,21 +88,22 @@
 In order to install the plug-ins easily in another Eclipse environment creating
 a zip file is useful.
 
-1) From within the Plug-in Development perspective, right-click the org.apache.derby.ui
-   project.  Select Export --> Deployable plug-ins and fragments, then the Next button.
-
-2) In the Export Plug-ins and Fragments window select the org.apache.derby.ui project
-   listed in the Available Plug-ins and Fragments text area.  For the Export Options
-   section select Deploy as: a single ZIP file.  Click the Build Options button.
-   Check any options desired from the Build Options Preferences window and then
-   click OK.
-
-3) Browse to a Destination where you would like to put the zip file and name it
-   org.apache.derby.ui_1.0.0.zip to represent the name and version of the plug-in.
+1) From within the Plug-in Development perspective, right-click the 
+org.apache.derby.ui project.  Select Export --> Deployable plug-ins and 
+fragments, then the Next button.
+
+2) In the Export Deployable plug-ins and fragments window select the 
+org.apache.derby.ui project listed in the Available Plug-ins and Fragments 
+text area.  
+
+3) For the Export Destination select Archive file and browse to
+a directory to place the file, and name it org.apache.derby.ui_1.1.0.zip or
+the applicable version to indicate the source version of the plugin.  
+Select any Compiler Options or Export Options you desire.
 
 4) Finally, click Finish.
 
-5) Repeat the above steps for the org.apache.derby.plugin.doc project and create
-   a zip file called org.apache.derby.plugin.doc_1.0.0.zip.]]></source>
+5) Repeat the above steps for the Help plug-in, naming the zip file something
+appropriate like org.apache.derby.plugin.doc_1.1.0.zip.]]></source>
 </body>
 </document>

Modified: db/derby/site/trunk/src/documentation/content/xdocs/integrate/derby_plugin.xml
URL: http://svn.apache.org/viewcvs/db/derby/site/trunk/src/documentation/content/xdocs/integrate/derby_plugin.xml?rev=240341&r1=240340&r2=240341&view=diff
==============================================================================
--- db/derby/site/trunk/src/documentation/content/xdocs/integrate/derby_plugin.xml (original)
+++ db/derby/site/trunk/src/documentation/content/xdocs/integrate/derby_plugin.xml Fri Aug
26 13:50:04 2005
@@ -3,7 +3,7 @@
 
 <document>
  <header>
-  <title>Derby 10.0 Core Plug-in for Eclipse</title>
+  <title>Derby 10.1 Core Plug-in for Eclipse</title>
  </header>
 
 <body>
@@ -40,36 +40,20 @@
 <td>Packaging</td>
 </tr>
 <tr>
-<td>org.apache.derby.core_10.0.2</td>
-<td>Contains derby.jar, derbynet.jar, and derbytools.jar</td>
-<td>derby_core_plugin_10.0.2.zip</td>
+<td>org.apache.derby.core_10.1.1</td>
+<td>Contains derby.jar, derbynet.jar, derbytools.jar and derbyclient.jar</td>
+<td>derby_core_plugin_10.1.1.zip</td>
 </tr>
 </table>
 </section>
 
 <section>
-<title>Compatibility with the UI plug-in</title>
+<title>The UI plug-in</title>
 <p>
-A contribution of the IBM Integration plug-in for Derby which adds UI
-functionality to the core plug-in was made in May, 2005.  The changes
-to the new UI plug-in include support for the new Derby client driver.
-This newly contributed UI plug-in requires the new 10.1 core plug-in.
-</p>
-<p>
-See the document, <a href="plugin_howto.html">Using the 10.1 Core and 1.0
+See the document, <a href="plugin_howto.html">Using the 10.1 Core and 1.1
 UI Derby plug-ins</a> for complete information about compatibility between
 the 'Core' and 'UI' plug-ins. 
 </p>
-<p>
-To use the UI components with this 10.0 Derby Core plug-in, see the
-article on the IBM site, <a href="http://www-106.ibm.com/developerworks/db2/library/techarticle/dm-0501cline/">IBM
Integration plug-in for Derby</a>. 
-</p>
-<p>
-Once the 10.1 version of Derby becomes an Official Release, the IBM Integration
-plug-in for Derby will no longer exist, nor will the 10.0 version of the Core
-plug-in.  All new users will need to use the 10.1 Core and the 1.0 Derby UI
-plug-in.
-</p>
 </section>
 
 <section>
@@ -81,20 +65,21 @@
 <li>IBM SDK version 1.3.x or higher</li>
 </ul>
 </li>
+
 <li>Eclipse from <a href="http://www.eclipse.org">eclipse.org</a>
 <ul>
-<li>Eclipse 3.1</li>
-<li>Eclipse 3.0</li>
+<li>Eclipse 3.1 M6 or higher</li>
 </ul>
 </li>
 </ul>
+<warning>Note: Eclipse 3.0 is not supported</warning>
 </section>
 
 <section>
 <title>Install</title>
 <p>
 Download the Derby core plug-in zip from the Apache Derby site:
-<a href="../derby_downloads.html">http://db.apache.org/derby/derby_downloads.html</a>
+<a href="../derby_downloads.html">http://db.apache.org/derby/derby_downloads.html</a>.
 Make sure to get release 10.1.1.0 or higher.
 </p>
 <p>
 After downloading, unzip the file to the Eclipse installation directory. The 
@@ -117,7 +102,7 @@
 
 
 <p>
-<em>Last updated: July 31, 2005</em>
+<em>Last updated: August 23, 2005</em>
 </p>
 </body>
 </document>

Modified: db/derby/site/trunk/src/documentation/content/xdocs/integrate/index.xml
URL: http://svn.apache.org/viewcvs/db/derby/site/trunk/src/documentation/content/xdocs/integrate/index.xml?rev=240341&r1=240340&r2=240341&view=diff
==============================================================================
--- db/derby/site/trunk/src/documentation/content/xdocs/integrate/index.xml (original)
+++ db/derby/site/trunk/src/documentation/content/xdocs/integrate/index.xml Fri Aug 26 13:50:04
2005
@@ -69,38 +69,38 @@
 
 <tr>
   <td>Eclipse Plug-ins</td>
-  <td>10.0 Core</td>
-  <td><em><a href="derby_plugin.html">Derby 10.0 Core Plug-in 
+  <td>10.1 Core</td>
+  <td><em><a href="derby_plugin.html">Derby 10.1 Core Plug-in 
       for Eclipse</a></em></td>
 </tr>
 
 <tr>
   <td>&nbsp;</td>
   <td>1.0 UI Functional Spec</td>
-  <td><em><a href="func_spec_plugins.html">Derby 1.0 UI Plug-in for Eclipse</a></em></td>

+  <td><em><a href="func_spec_plugins.html">1.0 UI Functional Spec</a></em></td>

 </tr>
 
 <tr>
   <td>&nbsp;</td>
-  <td>10.1 Core and 1.0 UI</td>
-  <td><em><a href="plugin_howto.html">Using the 10.1 Core and 1.0 UI Derby
plug-ins</a></em></td> 
+  <td>10.1 Core and 1.1 UI</td>
+  <td><em><a href="plugin_howto.html">Using the 10.1 Core and 1.1 UI Derby
plug-ins</a></em></td> 
 </tr>
 
 <tr>
   <td>&nbsp;</td>
-  <td>10.1 Core and 1.0 UI Slides and Lab</td>
-  <td><em><a href="plugin_slides.html">10.1 Derby Plug-ins
+  <td>Derby Plug-ins Slides and Lab</td>
+  <td><em><a href="plugin_slides.html">Derby Plug-ins
       Presentation and Lab</a></em></td>
 </tr>
 
 <tr>
   <td>&nbsp;</td>
-  <td>10.1 Core and 1.0 UI Documentation</td>
-  <td><em>10.1 Core and 1.0 UI Documentation</em></td>
+  <td>10.1 Core and 1.1 UI Documentation</td>
+  <td><em>10.1 Core and 1.1 UI Documentation</em></td>
 </tr>
 </table>
 
-<p><em>Last Updated: May 24, 2005</em></p>
+<p><em>Last Updated: August 23, 2005</em></p>
 
 </body>
 </document>

Modified: db/derby/site/trunk/src/documentation/content/xdocs/integrate/plugin_howto.xml
URL: http://svn.apache.org/viewcvs/db/derby/site/trunk/src/documentation/content/xdocs/integrate/plugin_howto.xml?rev=240341&r1=240340&r2=240341&view=diff
==============================================================================
--- db/derby/site/trunk/src/documentation/content/xdocs/integrate/plugin_howto.xml (original)
+++ db/derby/site/trunk/src/documentation/content/xdocs/integrate/plugin_howto.xml Fri Aug
26 13:50:04 2005
@@ -3,7 +3,7 @@
 
 <document> 
   <header> 
-    <title>Using the 10.1 Core and 1.0 UI Derby plug-ins</title> 
+    <title>Using the 10.1 Core and 1.1 UI Derby plug-ins</title> 
   </header> 
   <body> 
 
@@ -20,12 +20,8 @@
 <title>Architecture of the plug-ins</title>
 
 <p>
-Presently the Derby Core plug-in is the only plug-in available for download
-in binary form.  The other two plug-ins are currently available in
-source form only.  Once the UI plug-in and the Help plug-in are placed in the
-<a href="http://db.apache.org/derby/derby_downloads.html#Snapshot+Jars">
-Snapshot Jars</a> section of the development trunk, these two plugins will
-be available as zip files as well.
+The Derby Core, UI and Help plug-ins are all available in source and binary
+form. 
 </p>
 <p>
 Listed below are the contents of the three plug-ins:
@@ -33,27 +29,33 @@
 
 <table>
 <tr>
-<th>Zip file name</th>
+<th>Binary Zip file name</th>
 <th>Plugin name</th>
+<th>Source location</th>
 <th>Contents</th>
 </tr>
 <tr>
-<td>derby_core_plugin_10.1.0.zip</td>
-<td>Derby Core Plug-in, org.apache.derby.core_10.1.0</td>
+<td>derby_core_plugin_10.1.1.zip</td>
+<td>Derby Core Plug-in, org.apache.derby.core_10.1.1</td>
+<td>The Derby Core plug-in can be built when the Derby jar files are built
+from source.<br/><br/>
+Follow the instructions in BUILDING.TXT on the <a href="http://db.apache.org/derby/derby_downloads.html#How+to+build+Derby">Apache
Derby: Downloads</a> page, in
+the How to build Derby section.</td>
 <td>derby.jar, derbytools.jar, derbynet.jar, derbyclient.jar, plugin.xml</td>
 </tr>
+
 <tr>
-<td>Currently available as source only in the 10.1 development trunk: <br/><br/>
-trunk/eclipse/plugins/org.apache.derby.ui</td>
-<td>Derby UI Plug-in, org.apache.derby.ui_1.0.0</td>
+<td>derby_ui_plugin_1.1.0.zip</td>
+<td>Derby UI Plug-in, org.apache.derby.ui_1.1.0</td>
+<td>trunk/plugins/eclipse/org.apache.derby.ui</td>
 <td>ui.jar, plugin.xml</td>
 </tr>
+
 <tr>
-<td>Currently available as source only in the 10.1 development trunk: <br/><br/>
-trunk/eclipse/plugins/org.apache.derby.plugin.doc</td>
-<td>Derby Plug-in Documentation, org.apache.derby.plugin.doc_1.0.0</td>
-<td>html and image files contained in the topics directory, 
-plugin.xml, toc.xml</td>
+<td>derby_ui_plugin_1.1.0.zip</td>
+<td>Derby Plug-in Documentation, org.apache.derby.plugin.doc_1.1.0</td>
+<td>trunk/plugins/eclipse/org.apache.derby.plugin.doc</td>
+<td>html and image files contained in the topics directory, plugin.xml, toc.xml</td>
 </tr>
 </table>
 </section>
@@ -118,22 +120,19 @@
 <title>Installing the plug-ins</title>
 
 <p>
-Prior to installing the plug-ins Eclipse 3.x must be installed.  The current
-version of the plug-ins has been tested with Eclipse 3.01 and Eclipse 3.1M5.
+Prior to installing the plug-ins Eclipse 3.1M6 or higher must be installed.  
+The current version of the plug-ins have been tested with Eclipse 3.1M5 and
+Eclipse 3.1 GA.
 </p>
-<warning>
-The 1.0 UI plug-in is not compatible with Eclipse 3.1M6 or higher.  If you
-must use version 3.1M6 or higher, refer to this <a href="http://mail-archives.apache.org/mod_mbox/db-derby-user/200506.mbox/%3c20050606165347.40256.qmail@web81302.mail.yahoo.com%3e">post</a>
to see which source files need to be updated.
-</warning>
 <p>
 The <a href="http://www.eclipse.org/downloads/index.php">downloads page</a> at
-eclipse.org has the Eclipse 3.x SDK downloads.
+eclipse.org has the Eclipse 3.1 SDK downloads.
 </p>
 
 <p>
 The binary version of the core plug-in (the source is not included) is 
 available for download at <a href="../derby_downloads.html">downloads.html</a>.
-Download the derby_core_plugin_10.1.0.zip. To obtain the source for the UI and
+Download the derby_core_plugin_10.1.1.zip. To obtain the source for the UI and
 documentation plug-ins in the form of an Eclipse PDE (Plug-in Development Environment) project
first check out the source at trunk/plugins/eclipse/org.apache.derby.ui for the UI plugin,
and trunk/plugins/eclipse/org.apache.derby.plugin.doc for the documentation plugin.  See the
document <a href="Readme.html">Readme.txt</a> for complete instructions on how
to build these two plugins from the source. 
 </p>
 
@@ -147,20 +146,20 @@
 Unzip the core plugin files into the Eclipse home directory.  
 
 The location where you installed Eclipse is referred to as ECLIPSE_HOME. 
-For instance, this might be /eclipse in a Linux or Unix envrironment 
+For instance, this might be /eclipse in a Linux or Unix environment 
 or C:/eclipse on Windows. Unzip the files to the ECLIPSE_HOME directory.
 Copy the entire directory from the ui and help file plugin projects into
 the plugins directory.  For instance you should have a a folder called
-org.apache.derby.ui_1.0.0 and org.apache.derby.plugin.doc_1.0.0 after
+org.apache.derby.ui_1.1.0 and org.apache.derby.plugin.doc_1.1.0 after
 downloading and creating the plug-in project in Eclipse.
 Three new subdirectories should now exist under the ECLIPSE_HOME/plugins 
 directory:
 </p>
 
 <ul>
-<li>org.apache.derby.core_10.1.0</li> 
-<li>org.apache.derby.ui_1.0.0</li>
-<li>org.apache.derby.plugin.doc_1.0.0</li>
+<li>org.apache.derby.core_10.1.1</li> 
+<li>org.apache.derby.ui_1.1.0</li>
+<li>org.apache.derby.plugin.doc_1.1.0</li>
 </ul>
 
 </section>
@@ -169,165 +168,20 @@
 <title>Incompatibilities with earlier version of the plug-ins</title>
 
 <p>
-To understand the compatibility with previous versions of the plug-in
-a definition of the meaning of the words 'Core' and 'UI',
-as well as 'Old' and 'New' are required.  The chart below explains this.
-</p>
-<table>
-<tr>
-<th>Short Name</th>
-<th>Formal Name</th>
-<th>Contents</th>
-</tr>
-<tr>
-<td><strong>10.0 Core</strong></td>
-<td>Derby Core plug-in, V10.0.x</td>
-<td>derby.jar, derbynet.jar, derbytools.jar</td>
-</tr>
-<tr>
-<td><strong>10.1 Core</strong></td>
-<td>Derby Core plug-in, V10.1.x</td>
-<td>derby.jar, derbynet.jar, derbytools.jar, <strong>derbyclient.jar</strong></td>
-</tr>
-<tr>
-<td><strong>Old UI</strong></td>
-<td>IBM Integration plug-in for Derby, V1.0</td>
-<td>ui.jar, <strong>db2jcc.jar, db2jcc_license_c.jar</strong>, html help
files</td>
-</tr>
-<tr>
-<td><strong>New UI</strong></td>
-<td>Derby UI plug-in, V1.0</td>
-<td>ui.jar, html help files</td>
-</tr>
-</table>
-
-<p>
-The '10.0 Core' plugin, versions prior to 10.1.x, do not have support for 
-the new derbyclient.  This means that the '10.0 Core' plug-in will not work 
-with the 'New UI' plug-in.  Below is a matrix which explains the 
-compatibility of the plug-ins in detail.
-</p>
-
-<p>
-The table illustrates acceptable combinations of the '10.0' and '10.1' Core and 
-UI plug-ins as defined above. The use of the word 'only' in the column headings
-means only one of the '10.0' or '10.1' plug-ins is installed, and not 
-<strong>both</strong> the Old and the New, for either the Core or UI 
-components. 
+Earlier versions of the plug-ins, specifically versions of the core plug-in
+prior to 10.1.1 and version 1.1.0 of the UI plug-in are not supported or
+any combination of the two.
 </p>
-<p>
-The first row of the shows the 10.0 Core plug-in works when only the Old UI 
-plug-in is installed.  The 10.0 Core plug-in does not work when only the 
-New UI plugin is installed, nor when the Old and New UI plugin are installed 
-at the same time. 
-</p>
-
-<table>
-<tr>
-<th>&nbsp;</th>
-<th>Old UI, only </th>
-<th>New UI, only </th>
-<th>Old and New UI together</th>
-</tr>
-<tr>
-<td><strong>10.0 Core</strong></td>
-<td>Works</td>
-<td>Does Not Work *1</td>
-<td>Does Not Work *2</td>
-</tr>
-<tr>
-<td><strong>10.1 Core</strong></td>
-<td>Works</td>
-<td>Works</td>
-<td>Does Not Work *2</td>
-</tr>
-<tr>
-<td><strong>10.0 and 10.1 together</strong></td>
-<td>Works *3</td>
-<td>Works *3</td>
-<td>Does Not Work *2</td>
-</tr>
-</table>
-<p>
-Footnotes:
-</p>
-<ul>
-<li>
-*1 - does not provide any of the client jar files (neither derbyclient.jar or db2jcc.jar).
-</li>
-<li>
-*2 - duplicate menu entries for the Apache Derby nature. 
-</li>
-<li>
-*3 - provided the version numbers of these two plug-ins are different, which they will be.

-</li>
-</ul>
-
-
 </section>
 
 <section>
 <title>Uninstalling Previous Versions of the Plug-ins</title>
 
 <p>
-If you are already using the 10.0 Core Plug-in and the old UI plug-in
-you may uninstall them.  However, if you have existing projects which
-are using these plug-ins and which rely on the IBM DB2 JDBC Driver to
-connect to the Network Server, you'll need to decide if you want to
-continue using the old plug-ins in the current Eclipse install.
+If you are already using previous versions of the plug-ins, pre 10.1.1 for
+the Core and pre 1.1.0 for the UI plug-in you may uninstall them or simply
+install the new versions of the plug-ins on top of them. 
 </p>
-
-<p>
-If you do have projects that rely on the DB2 JDBC Driver you have two options:
-</p>
-
-<ul>
-<li>
-Install the new plug-ins in a new Eclipse install so old projects will
-remain unaffected.
-</li>
-
-<li>
-Modify the existing projects to use the new Derby Network Client.
-
-<ul>
-<li>
-Remove the Apache Derby nature from existing projects.
-</li>
-<li>
-If application code connects to the Network Server using the DB2 JDBC driver, 
-recode the application to work with the new Derby Network Client.  
-This would probably only involve changing two lines of code.  
-For instance, Class.forName("org.apache.derby.jdbc.ClientDriver");
-and the database connection URL.
-</li>
-<li>
-Shutdown Eclipse.
-</li>
-<li>
-Delete these directories under ECLIPSE_HOME/plugins: org.apache.derby.core_10.0.2.x, com.ibm.cloudscape.ui_1.0.0
and com.ibm.cloudscape.plugin.doc_1.0.0.
-</li>
-</ul>
-
-</li>
-</ul>
-
-<p>
-If you want to uninstall the 10.0 Core Plug-in and the 1.0 IBM Integration
-Plug-in for Derby (the old UI) and you do not have existing projects which
-are using them follow these steps:
-</p>
-
-<ul>
-<li>
-Shutdown Eclipse.
-</li>
-<li>
-Delete these directories under ECLIPSE_HOME/plugins: org.apache.derby.core_10.0.2.x, com.ibm.cloudscape.ui_1.0.0
and com.ibm.cloudscape.plugin.doc_1.0.0.
-</li>
-</ul>
-
-
 </section>
 
 <section>
@@ -387,6 +241,7 @@
 <p>
 Adding the Derby nature to your Eclipse project does the following:
 </p>
+
 <ul>
 <li>
 Adds the <strong>derby.jar, derbynet.jar, derbytools.jar, 
@@ -414,7 +269,7 @@
 
 </section>
 
-<p><em>Last updated: July 31, 2005</em></p>
+<p><em>Last updated: August 23, 2005</em></p>
 
 </body>
 </document>

Modified: db/derby/site/trunk/src/documentation/content/xdocs/integrate/plugin_slides.xml
URL: http://svn.apache.org/viewcvs/db/derby/site/trunk/src/documentation/content/xdocs/integrate/plugin_slides.xml?rev=240341&r1=240340&r2=240341&view=diff
==============================================================================
--- db/derby/site/trunk/src/documentation/content/xdocs/integrate/plugin_slides.xml (original)
+++ db/derby/site/trunk/src/documentation/content/xdocs/integrate/plugin_slides.xml Fri Aug
26 13:50:04 2005
@@ -3,12 +3,13 @@
 
 <document> 
   <header> 
-    <title>10.1 Derby plug-ins Presentation and Lab</title> 
+    <title>Derby plug-ins Presentation and Lab</title> 
   </header> 
   <body> 
 
 <p>
-This paper includes a presentation on how to use the Derby Core and UI plug-ins.
+This paper includes a presentation on how to use the Derby 10.1 Core and
+1.1 UI plug-ins.
 The presentation includes a pdf slide show and a hands-on lab. The lab 
 demonstrates using the Derby plug-ins to create Java stored procedures used 
 in a stand-alone Java application in the Eclipse environment.
@@ -47,7 +48,7 @@
 </section>
 
 
-<p><em>Last Updated: May 24, 2005</em></p>
+<p><em>Last Updated: August 23, 2005</em></p>
 
 </body>
 </document>

Modified: db/derby/site/trunk/src/documentation/content/xdocs/releases/release-10.0.2.1.xml
URL: http://svn.apache.org/viewcvs/db/derby/site/trunk/src/documentation/content/xdocs/releases/release-10.0.2.1.xml?rev=240341&r1=240340&r2=240341&view=diff
==============================================================================
--- db/derby/site/trunk/src/documentation/content/xdocs/releases/release-10.0.2.1.xml (original)
+++ db/derby/site/trunk/src/documentation/content/xdocs/releases/release-10.0.2.1.xml Fri
Aug 26 13:50:04 2005
@@ -201,7 +201,7 @@
     
     <p>Tests for a specific platform can be run using the corresponding derbyTesting.jar
file that can be found here: <a href="http://cvs.apache.org/dist/incubator/derby/10.0.2.1/derbyTesting.jar">derbyTesting.jar</a></p>
     
-    <p>Instructions on how to run the tests can be found in the <a href="http://svn.apache.org/viewcvs.cgi/*checkout*/incubator/derby/code/branches/10.0/java/testing/README.htm">testing
README</a>.</p>
+    <p>Instructions on how to run the tests can be found in the <a href="http://svn.apache.org/repos/asf/db/derby/code/branches/10.0/java/testing/README.htm">testing
README</a>.</p>
     
     <p>The following known issues were documented in the JIRA bug tracking system for
tests on the day
     of the release:</p>

Modified: db/derby/site/trunk/src/documentation/content/xdocs/releases/release-10.1.1.0.html
URL: http://svn.apache.org/viewcvs/db/derby/site/trunk/src/documentation/content/xdocs/releases/release-10.1.1.0.html?rev=240341&r1=240340&r2=240341&view=diff
==============================================================================
--- db/derby/site/trunk/src/documentation/content/xdocs/releases/release-10.1.1.0.html (original)
+++ db/derby/site/trunk/src/documentation/content/xdocs/releases/release-10.1.1.0.html Fri
Aug 26 13:50:04 2005
@@ -431,7 +431,7 @@
     
     <p>Tests for a specific platform can be run using the derbyTesting.jar file that
can be found in the lib directory of the -lib or -bin distributions.</p>
     
-    <p>Instructions on how to run the tests can be found in the <a href="http://svn.apache.org/viewcvs.cgi/*checkout*/db/derby/code/branches/10.1/java/testing/README.htm">testing
README</a>.</p>
+    <p>Instructions on how to run the tests can be found in the <a href="http://svn.apache.org/repos/asf/db/derby/code/branches/10.1/java/testing/README.htm">testing
README</a>.</p>
 
 
  

Modified: db/derby/site/trunk/src/documentation/content/xdocs/site.xml
URL: http://svn.apache.org/viewcvs/db/derby/site/trunk/src/documentation/content/xdocs/site.xml?rev=240341&r1=240340&r2=240341&view=diff
==============================================================================
--- db/derby/site/trunk/src/documentation/content/xdocs/site.xml (original)
+++ db/derby/site/trunk/src/documentation/content/xdocs/site.xml Fri Aug 26 13:50:04 2005
@@ -77,11 +77,11 @@
   </integrate>
 
       <eclipse label="Eclipse Plug-ins" href="integrate/" tab="integrate">
-         <eclipse_old   label="10.0 Core"   href="derby_plugin.html"/>
+         <eclipse_old   label="10.1 Core"   href="derby_plugin.html"/>
          <eclipse_spec  label="1.0 UI Functional Spec"     href="func_spec_plugins.html"/>
-         <eclipse_new   label="10.1 Core and 1.0 UI"   href="plugin_howto.html"/>
-         <eclipse_present label="10.1 Core and 1.0 UI Slides and Lab"   href="plugin_slides.html"/>
-         <eclipse_help   label="10.1 Core and 1.0 UI Documentation"   href="plugin_help/">
+         <eclipse_new   label="10.1 Core and 1.1 UI"   href="plugin_howto.html"/>
+         <eclipse_present label="Derby Plug-ins Slides and Lab"   href="plugin_slides.html"/>
+         <eclipse_help   label="10.1 Core and 1.1 UI Documentation"   href="plugin_help/">
            <start label="Getting Started" href="start_toc.html" />
            <proj  label="Creating an Eclipse Project" href="java_project.html" />
            <nature label="Derby Nature" href="">



Mime
View raw message